<?php

namespace Controllers;

use Bases\Controller;
use Models\Infolettre;

class InfolettreController extends Controller
{

    /**
     * Sauvegarde les donnees de l utilisateur qui s'abonne a l'infolettre
     *
     */
    public function store()
    {
        // Paramètres présents
        if (
            empty($_POST["nomComplet"]) ||
            empty($_POST["courriel"])
        ) {
            $this->rediriger("index?infos_requises#infolettre");
        }

        // Sauvegarde des informations de l'utilisateur
        $modele_infolettre = new Infolettre;
        $succes = $modele_infolettre->inserer(
            $_POST["nomComplet"],
            $_POST["courriel"]
        );

        if (!$succes) {
            $this->rediriger("index?echec_inscription_infolettre#infolettre");
        }

        $this->rediriger("index?succes_inscription_infolettre#infolettre");
    }
}
